<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::matrix_traits&lt; matrix_range_static_exp&lt; start, inc_, end &gt; &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1matrix__traits_3_01matrix__range__static__exp_3_01start_00_01inc___00_01end_01_4_01_4.html">matrix_traits&lt; matrix_range_static_exp&lt; start, inc_, end &gt; &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1matrix__traits_3_01matrix__range__static__exp_3_01start_00_01inc___00_01end_01_4_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::matrix_traits&lt; matrix_range_static_exp&lt; start, inc_, end &gt; &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a2dd30f7b1893508cb47c26ae8c58abcc"><td class="memItemLeft" align="right" valign="top"><a id="a2dd30f7b1893508cb47c26ae8c58abcc"></a>
typedef long&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a2dd30f7b1893508cb47c26ae8c58abcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a875781e80f3a8ed9de5773cc2adea571"><td class="memItemLeft" align="right" valign="top"><a id="a875781e80f3a8ed9de5773cc2adea571"></a>
typedef const long&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:a875781e80f3a8ed9de5773cc2adea571"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7fee4c9379e5fbe4e06e2b254a72cec"><td class="memItemLeft" align="right" valign="top"><a id="aa7fee4c9379e5fbe4e06e2b254a72cec"></a>
typedef <a class="el" href="namespacedlib.html#ae8aaef18fce6452263f46535116308ca">default_memory_manager</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:aa7fee4c9379e5fbe4e06e2b254a72cec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25b7bfa804df4ee6131bc1e1d9c45063"><td class="memItemLeft" align="right" valign="top"><a id="a25b7bfa804df4ee6131bc1e1d9c45063"></a>
typedef <a class="el" href="structdlib_1_1row__major__layout.html">row_major_layout</a>&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a25b7bfa804df4ee6131bc1e1d9c45063"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a20f7649312cb0147dfda0b4b5a430aa4"><td class="memItemLeft" align="right" valign="top"><a id="a20f7649312cb0147dfda0b4b5a430aa4"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = 1</td></tr>
<tr class="separator:a20f7649312cb0147dfda0b4b5a430aa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae93e74c5be8ee702f32361febcc606bf"><td class="memItemLeft" align="right" valign="top"><a id="ae93e74c5be8ee702f32361febcc606bf"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = <a class="el" href="structdlib_1_1tabs.html">tabs</a>&lt;(end - start)&gt;::value/inc_ + 1</td></tr>
<tr class="separator:ae93e74c5be8ee702f32361febcc606bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67eb30cc739b20dbaf416212d929aada"><td class="memItemLeft" align="right" valign="top"><a id="a67eb30cc739b20dbaf416212d929aada"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = 1</td></tr>
<tr class="separator:a67eb30cc739b20dbaf416212d929aada"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__expressions_8h_source.html">matrix_expressions.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
